<?php

namespace ConsentMagicPro;

if ( !defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

abstract class CS_AdminPage {

	public $plugin_name;

	protected $admin;

	public function __construct( $plugin_name, $admin = null ) {
		$this->plugin_name = $plugin_name;
		if ( $admin ) {
			$this->admin = $admin;
		}
	}

	public function checkFlow( $path ) {
		if ( !ConsentMagic()->getOption( 'cs_check_flow' ) ) {
			settings_errors();
			if ( CMPRO_LICENSE_TYPE == 'edd' ) {
				require_once CMPRO_PLUGIN_VIEWS_PATH . 'admin/html-first-flow-edd.php';
			} elseif ( CMPRO_LICENSE_TYPE == 'woo' ) {
				require_once CMPRO_PLUGIN_VIEWS_PATH . 'admin/html-first-flow-wc.php';
			}
		} else {
			include CMPRO_PLUGIN_VIEWS_PATH . $path;
		}
	}

	public function renderSuccessMessage() {
		echo '<div class="updated"><p><strong>' . esc_html__( 'Settings Updated.', 'consent-magic' ) . '</strong></p></div>';
		if ( !empty( $_SERVER[ 'HTTP_X_REQUESTED_WITH' ] ) && strtolower( sanitize_text_field( $_SERVER[ 'HTTP_X_REQUESTED_WITH' ] ) ) == 'xmlhttprequest' ) {
			exit();
		}
	}

	public function manageCSPermissions() {
		// Lock out non-admins:
		if ( !current_user_can( 'manage_cs' ) ) {
			wp_die( esc_html__( 'You do not have sufficient permission to perform this operation', 'consent-magic' ) );
		}
	}
}