<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

$vendor_list   = CS_IAB_Integration()->get_vendor_list();
$iab_settings  = CS_IAB_Integration()->get_settings();
$unassigned    = get_term_by( 'slug', 'unassigned', 'cs-cookies-category' );
$unassigned_id = $unassigned->term_id;
$options       = get_cookies_terms_list( $unassigned_id );

?>
<div class="container" id="cs_iab_settings">
    <div class="rules-wrap-border headline">
        <div class="wrap_title" style="padding-bottom: 5px;">
            <h2><?php esc_html_e( 'IAB settings', 'consent-magic' ); ?></h2>
        </div>

        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3 class="card_title"><?php esc_html_e( 'Purposes', 'consent-magic' ); ?></h3>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i
                                    class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>

            <div class="card-body" style="display: none;">
                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">

									<?php if ( !empty( $vendor_list ) && !empty( $vendor_list->purposes ) ) : ?>
										<?php foreach ( $vendor_list->purposes as $key => $purpose ) : ?>
											<?php if ( !isset( $iab_settings->purposes->{$purpose->id} ) ) {
												$iab_settings = CS_IAB_Integration()->set_default_option( 'purposes', $purpose->id );
											} ?>

                                            <div class="row align-items-center list-item">

                                                <div class="col-1">
													<?php
													$names = array(
														'cs_iab_show_purpose_' . $purpose->id,
													);
													echo render_static_switcher_input( $names, $iab_settings->purposes->{$purpose->id}, false, false, false, 'cs-purposes-input' ); ?>
                                                </div>

                                                <div class="col-9">
                                                    <h4 class="indicator-label switcher-label"><?php echo esc_html( $purpose->name ); ?></h4>
                                                </div>

                                                <div class="col-2">
                                                    <span class="btn btn-blue details-control cs_details_button"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
                                                </div>

                                                <div class="col-12 details-col" style="display: none;">
                                                    <div class="row align-items-center" style="margin-top: 15px;">
                                                        <div class="col list-item-description"
                                                             style="padding-right: 15px;">
															<?php echo esc_html( $purpose->description ); ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
										<?php endforeach; ?>
									<?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3 class="card_title"><?php esc_html_e( 'Special Purposes', 'consent-magic' ); ?></h3>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i
                                    class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>

            <div class="card-body" style="display: none;">
                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">

									<?php if ( !empty( $vendor_list ) && !empty( $vendor_list->specialPurposes ) ) : ?>
										<?php foreach ( $vendor_list->specialPurposes as $key => $purpose ) : ?>
											<?php if ( !isset( $iab_settings->specialPurposes->{$purpose->id} ) ) {
												$iab_settings = CS_IAB_Integration()->set_default_option( 'specialPurposes', $purpose->id );
											} ?>

                                            <div class="row align-items-center list-item">

                                                <div class="col-1">
													<?php
													$names = array(
														'cs_iab_show_special_purpose_' . $purpose->id,
													);
													echo render_static_switcher_input( $names, $iab_settings->specialPurposes->{$purpose->id}, false, false, false, 'cs-special-purposes-input' ); ?>
                                                </div>

                                                <div class="col-9">
                                                    <h4 class="indicator-label switcher-label"><?php echo esc_html( $purpose->name ); ?></h4>
                                                </div>

                                                <div class="col-2">
                                                    <span class="btn btn-blue details-control cs_details_button"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
                                                </div>

                                                <div class="col-12 details-col" style="display: none;">
                                                    <div class="row align-items-center" style="margin-top: 15px;">
                                                        <div class="col list-item-description"
                                                             style="padding-right: 15px;">
															<?php echo esc_html( $purpose->description ); ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
										<?php endforeach; ?>
									<?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3 class="card_title"><?php esc_html_e( 'Features', 'consent-magic' ); ?></h3>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i
                                    class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>

            <div class="card-body" style="display: none;">
                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">

									<?php if ( !empty( $vendor_list ) && !empty( $vendor_list->features ) ) : ?>
										<?php foreach ( $vendor_list->features as $key => $feature ) : ?>
											<?php if ( !isset( $iab_settings->features->{$feature->id} ) ) {
												$iab_settings = CS_IAB_Integration()->set_default_option( 'features', $feature->id );
											} ?>

                                            <div class="row align-items-center list-item">
                                                <div class="col-1">
													<?php
													$names = array(
														'cs_iab_show_feature_' . $feature->id,
													);
													echo render_static_switcher_input( $names, $iab_settings->features->{$feature->id}, false, false, false, 'cs-features-input' ); ?>
                                                </div>

                                                <div class="col-9">
                                                    <h4 class="indicator-label switcher-label"><?php echo esc_html( $feature->name ); ?></h4>
                                                </div>

                                                <div class="col-2">
                                                    <span class="btn btn-blue details-control cs_details_button"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
                                                </div>

                                                <div class="col-12 details-col" style="display: none;">
                                                    <div class="row align-items-center" style="margin-top: 15px;">
                                                        <div class="col list-item-description"
                                                             style="padding-right: 15px;">
															<?php echo esc_html( $feature->description ); ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
										<?php endforeach; ?>
									<?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3 class="card_title"><?php esc_html_e( 'Special Features', 'consent-magic' ); ?></h3>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i
                                    class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>

            <div class="card-body" style="display: none;">
                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">

									<?php if ( !empty( $vendor_list ) && !empty( $vendor_list->specialFeatures ) ) : ?>
										<?php foreach ( $vendor_list->specialFeatures as $key => $feature ) : ?>
											<?php if ( !isset( $iab_settings->specialFeatures->{$feature->id} ) ) {
												$iab_settings = CS_IAB_Integration()->set_default_option( 'specialFeatures', $feature->id );
											} ?>

                                            <div class="row align-items-center list-item">
                                                <div class="col-1">
													<?php
													$names = array(
														'cs_iab_show_special_feature_' . $feature->id,
													);
													echo render_static_switcher_input( $names, $iab_settings->specialFeatures->{$feature->id}, false, false, false, 'cs-special-features-input' ); ?>
                                                </div>

                                                <div class="col-9">
                                                    <h4 class="indicator-label switcher-label"><?php echo esc_html( $feature->name ); ?></h4>
                                                </div>

                                                <div class="col-2">
                                                    <span class="btn btn-blue details-control cs_details_button"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
                                                </div>

                                                <div class="col-12 details-col" style="display: none;">
                                                    <div class="row align-items-center" style="margin-top: 15px;">
                                                        <div class="col list-item-description"
                                                             style="padding-right: 15px;">
															<?php echo esc_html( $feature->description ); ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
										<?php endforeach; ?>
									<?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3 class="card_title"><?php esc_html_e( 'Vendors', 'consent-magic' ); ?></h3>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i
                                    class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>

            <div class="card-body" style="display: none;">
                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
                                    <div class="row list-item">
                                        <p><?php esc_html_e( sprintf( 'IAB framework has support for %d vendors. You can chose to show only the relevant ones for your website by using the "Show just the following vendors" option.', count( (array) $iab_settings->vendors ) ), 'consent-magic' ) ?></p>
										<?php echo render_switcher_input( 'cs_iab_show_only_vendors' ); ?>
                                        <h4 class="indicator-label switcher-label cs_iab_show_only_vendors"><?php esc_html_e( 'Show just the following vendors', 'consent-magic' ); ?></h4>
                                        <div class="col-12 cs_iab_show_only_vendors_details"
											<?php echo ( ConsentMagic()->getOption( 'cs_iab_show_only_vendors' ) ) ? '' : 'style="display: none;" '; ?>
                                        >
                                            <input type="hidden"
                                                   id="cs_iab_vendor_settings"
                                                   value="<?php echo esc_html( json_encode( $iab_settings->vendors, JSON_FORCE_OBJECT ) ); ?>"
                                                   name="cs[<?php echo esc_attr( ConsentMagic()->plugin_name ); ?>][cs_iab_vendor_settings]"
                                            >

                                            <div class="row align-items-center" style="margin-top: 15px;">
                                                <div class="col"
                                                     style="padding: 0 15px 0 50px;">

                                                    <input type="text" id="cs_search_vendor"
                                                           style="margin-bottom: 20px;"
                                                           placeholder="<?php esc_html_e( 'Search vendor', 'consent-magic' ) ?>">
                                                    <div id="cs_vendor_list">
														<?php if ( !empty( $vendor_list ) && !empty( $vendor_list->vendors ) ) : ?>
															<?php foreach ( $vendor_list->vendors as $key => $vendor ) : ?>
																<?php if ( !isset( $iab_settings->vendors->{$vendor->id} ) ) {
																	$iab_settings = CS_IAB_Integration()->set_default_option( 'vendors', $vendor->id );
																}
																$dataset = array(
																	'vendor_id' => $vendor->id,
																);
																?>

                                                                <div class="row align-items-center list-item-large cs_iab_vendor_container">
                                                                    <div class="col-1">
																		<?php
																		$names = array(
																			'cs_iab_show_vendor_' . $vendor->id,
																		);
																		echo render_static_switcher_input( $names, $iab_settings->vendors->{$vendor->id}, false, false, false, 'cs-vendor-input', $dataset, false ); ?>
                                                                    </div>

                                                                    <div class="col-8">
                                                                        <h4 class="indicator-label switcher-label cs_vendor_name"><?php echo esc_html( $vendor->name ); ?></h4>
                                                                    </div>

                                                                    <div class="col-3">
                                                                        <span class="btn btn-blue cs_details_button cs_iab_vendor_details"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
                                                                    </div>

                                                                    <div class="col-12 details-col"
                                                                         style="display: none;">
                                                                        <div class="row align-items-center cs-details-row">
                                                                            <div class="col list-item-description"
                                                                                 style="padding-right: 15px;">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
															<?php endforeach; ?>
														<?php endif; ?>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3 class="card_title"><?php esc_html_e( 'Google Ad Tech Vendors', 'consent-magic' ); ?></h3>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i
                                    class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>

            <div class="card-body" style="display: none;">
                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
                                    <div class="row list-item">
                                        <p><?php esc_html_e( sprintf( 'Google Ad Tech Vendors includes %d additional vendors. You can chose to show only the relevant ones for your website by using the "Show just the following additional vendors" option.', count( (array) $vendor_list->additional_vendors ) ), 'consent-magic' ) ?></p>
										<?php echo render_switcher_input( 'cs_iab_show_only_additional_vendors' ); ?>
                                        <h4 class="indicator-label switcher-label cs_iab_show_only_vendors"><?php esc_html_e( 'Show just the following additional vendors', 'consent-magic' ); ?></h4>
                                        <div class="col-12 cs_iab_show_only_additional_vendors_details"
											<?php echo ( ConsentMagic()->getOption( 'cs_iab_show_only_additional_vendors' ) ) ? '' : 'style="display: none;" '; ?>
                                        >
                                            <input type="hidden"
                                                   id="cs_iab_additional_vendor_settings"
                                                   value="<?php echo esc_html( json_encode( $iab_settings->additional_vendors ) ); ?>"
                                                   name="cs[<?php echo esc_attr( ConsentMagic()->plugin_name ); ?>][cs_iab_additional_vendor_settings]"
                                            >

                                            <div class="row align-items-center" style="margin-top: 15px;">
                                                <div class="col"
                                                     style="padding: 0 15px 0 50px;">

                                                    <input type="text" id="cs_search_additional_vendor"
                                                           style="margin-bottom: 20px;"
                                                           placeholder="<?php esc_html_e( 'Search additional vendor', 'consent-magic' ) ?>">
                                                    <div id="cs_additional_vendor_list">
														<?php if ( !empty( $vendor_list ) && !empty( $vendor_list->additional_vendors ) ) : ?>
															<?php foreach ( $vendor_list->additional_vendors as $key => $vendor ) : ?>
																<?php if ( !isset( $iab_settings->additional_vendors->{$vendor->id} ) ) {
																	$iab_settings = CS_IAB_Integration()->set_default_option( 'vendors', $vendor->id );
																}
																$dataset = array(
																	'vendor_id' => $vendor->id,
																);
																?>

                                                                <div class="row align-items-center list-item-large cs_iab_vendor_container">
                                                                    <div class="col-1">
																		<?php
																		$names = array(
																			'cs_language_availability_' . $vendor->id,
																		);
																		echo render_static_switcher_input( $names, $iab_settings->additional_vendors->{$vendor->id}, false, false, false, 'cs-additional-vendor-input', $dataset, false ); ?>
                                                                    </div>

                                                                    <div class="col-8">
                                                                        <h4 class="indicator-label switcher-label cs_vendor_name"><?php echo esc_html( $vendor->name ); ?></h4>
                                                                    </div>

                                                                    <div class="col-3">
                                                                        <span class="btn btn-blue cs_details_button cs_iab_additional_vendor_details"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
                                                                    </div>

                                                                    <div class="col-12 details-col"
                                                                         style="display: none;">
                                                                        <div class="row align-items-center cs-details-row">
                                                                            <div class="col list-item-description"
                                                                                 style="padding-right: 15px;">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
															<?php endforeach; ?>
														<?php endif; ?>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="container container-clear container-footer">
	<?php
	//save button
	include CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-settings-save-button.php";
	?>
</div>
